Enrich LinkedIn Profile
curl --request POST \
--url https://api.sixtyfour.ai/enrich-linkedin \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"linkedin_url": "https://www.linkedin.com/in/example",
"struct": {
"full_name": "Full name of the person",
"current_title": "Current job title"
}
}
'import requests
url = "https://api.sixtyfour.ai/enrich-linkedin"
payload = {
"linkedin_url": "https://www.linkedin.com/in/example",
"struct": {
"full_name": "Full name of the person",
"current_title": "Current job title"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
linkedin_url: 'https://www.linkedin.com/in/example',
struct: {full_name: 'Full name of the person', current_title: 'Current job title'}
})
};
fetch('https://api.sixtyfour.ai/enrich-linkedin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/enrich-linkedin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'linkedin_url' => 'https://www.linkedin.com/in/example',
'struct' => [
'full_name' => 'Full name of the person',
'current_title' => 'Current job title'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/enrich-linkedin"
payload := strings.NewReader("{\n \"linkedin_url\": \"https://www.linkedin.com/in/example\",\n \"struct\": {\n \"full_name\": \"Full name of the person\",\n \"current_title\": \"Current job title\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/enrich-linkedin")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"linkedin_url\": \"https://www.linkedin.com/in/example\",\n \"struct\": {\n \"full_name\": \"Full name of the person\",\n \"current_title\": \"Current job title\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/enrich-linkedin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"linkedin_url\": \"https://www.linkedin.com/in/example\",\n \"struct\": {\n \"full_name\": \"Full name of the person\",\n \"current_title\": \"Current job title\"\n }\n}"
response = http.request(request)
puts response.read_body{
"linkedin_url": "https://www.linkedin.com/in/example",
"structured_data": {
"full_name": "Saarth Shah",
"current_title": "CEO & Co-Founder",
"linkedin_url": "https://www.linkedin.com/in/example"
},
"confidence_score": 9,
"notes": "Current role taken from the profile's experience section.",
"elapsed_seconds": 4.2,
"profile_found": true
}{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Insufficient API credits",
"code": "payment_required",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
],
"code": "invalid_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Rate limit exceeded",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Could not verify the API key right now. Retry shortly.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}People Intelligence
Enrich LinkedIn Profile
Read a LinkedIn profile and return the fields you name in struct.
POST
/
enrich-linkedin
Enrich LinkedIn Profile
curl --request POST \
--url https://api.sixtyfour.ai/enrich-linkedin \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"linkedin_url": "https://www.linkedin.com/in/example",
"struct": {
"full_name": "Full name of the person",
"current_title": "Current job title"
}
}
'import requests
url = "https://api.sixtyfour.ai/enrich-linkedin"
payload = {
"linkedin_url": "https://www.linkedin.com/in/example",
"struct": {
"full_name": "Full name of the person",
"current_title": "Current job title"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
linkedin_url: 'https://www.linkedin.com/in/example',
struct: {full_name: 'Full name of the person', current_title: 'Current job title'}
})
};
fetch('https://api.sixtyfour.ai/enrich-linkedin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/enrich-linkedin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'linkedin_url' => 'https://www.linkedin.com/in/example',
'struct' => [
'full_name' => 'Full name of the person',
'current_title' => 'Current job title'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/enrich-linkedin"
payload := strings.NewReader("{\n \"linkedin_url\": \"https://www.linkedin.com/in/example\",\n \"struct\": {\n \"full_name\": \"Full name of the person\",\n \"current_title\": \"Current job title\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/enrich-linkedin")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"linkedin_url\": \"https://www.linkedin.com/in/example\",\n \"struct\": {\n \"full_name\": \"Full name of the person\",\n \"current_title\": \"Current job title\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/enrich-linkedin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"linkedin_url\": \"https://www.linkedin.com/in/example\",\n \"struct\": {\n \"full_name\": \"Full name of the person\",\n \"current_title\": \"Current job title\"\n }\n}"
response = http.request(request)
puts response.read_body{
"linkedin_url": "https://www.linkedin.com/in/example",
"structured_data": {
"full_name": "Saarth Shah",
"current_title": "CEO & Co-Founder",
"linkedin_url": "https://www.linkedin.com/in/example"
},
"confidence_score": 9,
"notes": "Current role taken from the profile's experience section.",
"elapsed_seconds": 4.2,
"profile_found": true
}{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Insufficient API credits",
"code": "payment_required",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
],
"code": "invalid_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Rate limit exceeded",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Could not verify the API key right now. Retry shortly.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Body
application/json
Response
Successful Response
Was this page helpful?